<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.my_music.MyMusicFragment">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/clSearchToolbar"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginStart="5dp"
        android:layout_marginTop="5dp"
        android:layout_marginEnd="5dp"
        android:background="@drawable/search_edit_text"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/ivBack"
            android:layout_width="30dp"
            android:layout_height="match_parent"
            android:layout_marginStart="10dp"
            android:src="@drawable/ic_arrow_back"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:tint="@color/white" />


        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/edtSearch"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:backgroundTint="@android:color/darker_gray"
            android:hint="Search Songs and Playlist"
            android:imeOptions="actionSearch"
            android:inputType="text"
            android:padding="5dp"
            android:textColor="@color/white"
            android:textColorHint="@color/white"
            android:textCursorDrawable="@drawable/color_cursor"
            app:layout_constraintEnd_toStartOf="@+id/ivSpeech"
            app:layout_constraintStart_toEndOf="@+id/ivBack"
            app:layout_constraintTop_toTopOf="parent" />


        <ImageView
            android:id="@+id/ivSpeech"
            android:layout_width="30dp"
            android:layout_height="match_parent"
            android:layout_marginEnd="10dp"
            android:src="@drawable/ic_mic"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:tint="@color/white" />

    </androidx.constraintlayout.widget.ConstraintLayout>



    <co.lujun.androidtagview.TagContainerLayout
        android:id="@+id/searchTag"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="10dp"
        android:padding="10dp"
        android:visibility="gone"
        app:container_enable_drag="false"
        app:horizontal_interval="10dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/clSearchToolbar"
        app:tag_clickable="true"
        app:vertical_interval="10dp" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="10dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/searchTag">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rvMusics"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="10dp"
            android:padding="10dp"
            android:visibility="gone" />

        <LinearLayout
            android:id="@+id/lvPresetMusic"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <com.google.android.material.tabs.TabLayout
                android:id="@+id/tab_layout"
                app:tabTextColor="@android:color/black"
                style="@style/TabLayout"
                android:layout_width="match_parent"
                android:layout_height="30dp" />

            <androidx.viewpager2.widget.ViewPager2
                android:id="@+id/pager"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1" />

        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.constraintlayout.widget.ConstraintLayout>